:root {
  --bs-secondary: #7e5b3b;
  --bs-secondary-rgb: 125, 110, 93;
  --bs-primary: #0A2342;
  --bs-primary-rgb: 83, 52, 111;
  --bs-body-bg: rgba(255, 218, 224);
  /* --bs-primary:#C62CF9; */
}

body {
  /* background: linear-gradient(135deg, rgb(238, 112, 77), rgb(125, 110, 93)); */
  background: rgba(255, 192, 203, 0.2);
  /* custom gradient system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', */
  font-family: Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;

  color: #000000ff;
  min-height: 100vh;
}

header {
  padding: 50px 0 30px 0;
  text-align: center;
}

.logo {
  max-height: 75px;
}

.hero h1 {
    font-family: 'Times New Roman', Times, serif;
    font-size: 1.7em;
}
.hero__text .badge {
    font-size: medium;
    font-weight: 500;
}
.bg-badge {
  background-color: var(--bs-primary);
}
h1,
h2 {
  font-weight: 700;
}

.bg-dev {
  background: rgba(255, 192, 203, 0.5) !important;
}

.section-box {
  background: rgba(255, 192, 203, 0.5);
  border-radius: 10px;
  padding: 25px;
  margin-bottom: 40px;
  backdrop-filter: blur(6px);
}

.news-item {
  border-left: 4px solid #ffc107;
  padding-left: 10px;
  margin-bottom: 15px;
}

.video-card img {
  border-radius: 8px;
  width: 100%;
  height: auto;
  transition: transform 0.3s ease;
}

.video-card img:hover {
  transform: scale(1.05);
}

footer {
  margin-top: 50px;
  /* color: var(--bs-primary); */
  padding: 20px 0;
  /* background: rgba(0, 0, 0, 0.2); */
  font-size: 0.9em;
}

.border-style {
    margin: 8px 0;
  padding-left: 16px;
  border-left: 4px solid grey;
}

footer a {
  color: #1d1f3aff;
}

footer a:hover {
  color: #131426ff;
}

.disclaimer {
  font-size: 0.9em;
  color: #2d2d2dff;
}

a {
  color: #232323;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

.top-heading {
  font-family: Arial, Helvetica, sans-serif;
}

.yt-btn {
  background-color: #e31010;
  border-color: #e31010;
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
  color: #fff;
  border-radius: 22px;
  animation: pulse 2s infinite;
}

.yt-btn:hover {
  background-color: #ff0000;
  border-color: #ff0000;
}

h2 {
  color: var(--bs-primary);
}

.hero {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

/* #yt-btn {
            position: fixed;
            top: 10px;
            right: 10px;
            z-index: 9999;
        } */
#yt-btn {
  position: sticky;
  top: 10px;
  left: 10px;
  z-index: 9;
}

.wtsp-btn {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 99;
  color: #25d366;
  /* background-color: #c99360c0; */
  border-radius: 50%;
  width: 60px;
  height: 60px;
  display: flex;
  justify-content: center;
  align-items: center;
  border: none;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
  text-shadow: 0 1px  1px rgba(0, 0, 0, 0.5);
  transition: all 0.2s ease;
}

.wtsp-btn:hover {
  background-color: #8b6746ff;
  width: 65px;
  height: 65px;
}

.wtsp-btn i {
  font-size: 40px;
  color: #25d366;
}

.placeholder {
  background: linear-gradient(-90deg, #e0e0e0 0%, #f0f0f0 50%, #e0e0e0 100%);
  background-size: 400% 400%;
  animation: shimmer 1.2s ease-in-out infinite;
  border-radius: 3px;
  /* border: 1px solid #00000030; */
}



.box3, .wtsp-btn, .yt-btn, .shadow {
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
}

.social-icons {
  display: flex;
  align-items: center;
  gap: 10px;

}
.social-icon {
  font-size: 1.5em;
  width: 55px;
  height: 55px;
  text-align: center;
  line-height: 30px;
  border-radius: 50%;
  transition: all 0.3s ease;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  /* text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5); */
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
}

.social-icon:hover {
  transform: scale(1.1);
  text-decoration: none;
  box-shadow: 1px 1px 2px rgba(0, 149, 255, 0.5);
}

.about-content {
    text-align: justify;
    /* text-justify: inter-word; */
}
/* Pulse animation */
@keyframes pulse {
  0% { transform: scale(1); box-shadow: 0 0 10px rgba(0, 162, 255, 0.6); }
  50% { transform: scale(1.05); box-shadow: 0 0 25px rgba(255,0,0,0.9); }
  100% { transform: scale(1); box-shadow: 0 0 10px rgba(255, 0, 162, 0.6); }
}

@keyframes shimmer {
  0% {
    background-position: 100% 0;
  }
  100% {
    background-position: -100% 0;
  }
}